Skip to main content
DELETE
/
budgets
/
{budget_token}
Delete budget
curl --request DELETE \
  --url https://api.vantage.sh/v2/budgets/{budget_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "name": "Acme123 Budget",
  "workspace_token": "<string>",
  "created_at": "2024-03-19T00:00:00Z",
  "budget_alert_tokens": [
    ""
  ],
  "child_budget_tokens": [
    ""
  ],
  "periods": [
    {
      "start_at": "2024-03-19T00:00:00Z",
      "end_at": "2024-03-19T00:00:00Z",
      "amount": "100.00"
    }
  ],
  "user_token": "<string>",
  "created_by_token": "<string>",
  "cost_report_token": "<string>",
  "performance": [
    {
      "date": "2024-03-19T00:00:00Z",
      "actual": "2024-03-19T00:00:00Z",
      "amount": "100.00"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

budget_token
string
required

Response

Budget model

token
string
required
name
string | null
required

The name of the Budget.

Example:

"Acme123 Budget"

workspace_token
string
required

The token for the Workspace the Budget is a part of.

created_at
string
required

The date and time, in UTC, the Budget was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

budget_alert_tokens
string[]
required

The tokens of the BudgetAlerts associated with the Budget.

child_budget_tokens
string[]
required

The tokens of the child Budgets associated with the hierarchical Budget.

periods
object[]
required

The budget periods associated with the Budget.

user_token
string | null

The token for the User who created this Budget.

created_by_token
string | null

The token of the Creator of the Budget.

cost_report_token
string | null

The token of the Report associated with the Budget.

performance
object[]

The historical performance of the Budget.